- NAME
- Synopsis
- Description
- API
  - name
- See Also
- Copyright
- Authors

# NAME

Apache2::FilterRec - Perl API for manipulating the Apache filter record

# Synopsis

     use Apache2::Filter ();
     use Apache2::FilterRec ();

     my $frec = $filter->frec;
     print "filter name is:", $frec->name;

# Description

`Apache2::FilterRec` provides an access to the filter record structure.

The `Apache2::FilterRec` object is retrieved by calling `frec()`:

    $frec = $filter->frec;

# API

`Apache2::FilterRec` provides the following functions and/or methods:

## `name`

The registered name for this filter

    $name = $frec->name();

obj: `$frec` ( `Apache2::FilterRec object` )
ret: `$name` (string)
since: 2.0.00

mod_perl filters have four names:

    modperl_request_output
    modperl_request_input
    modperl_connection_output
    modperl_connection_input

You can see the names of the non-mod_perl filters as well. By calling `$filter->next->frec->name` you can get the name of the next filter in the chain.

Example:

Let's print the name of the current and the filter that follows it:

    use Apache2::Filter ();
    use Apache2::FilterRec ();
    for my $frec ($filter->frec, $filter->next->frec) {
        print "Name: ", $frec->name;
    }

# See Also

mod_perl 2.0 documentation.

# Copyright

mod_perl 2.0 and its core modules are copyrighted under The Apache Software License, Version 2.0.

# Authors

The mod_perl development team and numerous contributors.